"""test the lpu"""

from micado.util.Processor import LocalProcessor


def test_lpu():
    """test if the lpu does not throw an Exception running the nodeinfo job"""
    lpu = LocalProcessor()
    # run as is
    lpu.run("nodeinfo")
    # run with the sleep parameter set
    lpu.run("nodeinfo", sleep=10)


def test_lpu_rawdark():
    """test if the lpu does not throw an Exception running the rawdark job"""
    lpu = LocalProcessor()
    # run the SimulateRawDarkJob
    lpu.run("rawdark", use_test_detectors=True)


def test_lpu_rawflat():
    """test if the lpu does not throw an Exception running the rawflat job"""
    lpu = LocalProcessor()
    # run the SimulateRawFlatJob
    lpu.run("rawflat", use_test_detectors=True)


def test_lpu_rawillum():
    """test if the lpu does not throw an Exception running the rawillum job"""
    lpu = LocalProcessor()
    # run the SimulateRawIllumJob
    lpu.run("rawillum", use_test_detectors=True)


def test_lpu_rawstd():
    """test if the lpu does not throw an Exception running the rawstd job"""
    lpu = LocalProcessor()
    # run the SimulateRawStdfieldJob
    lpu.run("rawstd", use_test_detectors=True)


def test_lpu_rawscience():
    """test if the lpu does not throw an Exception running the rawscience job"""
    lpu = LocalProcessor()
    # run the SimulateRawScienceJob
    lpu.run("rawscience", use_test_detectors=True)
