# -*- coding: utf-8 -*-
"""Tests for dark template."""
from micado.main.ObservingBlock import ObservingBlock
from micado.templates.MicadoImgCalDark import MicadoImgCalDark


def test_dark():
    """Test generation of dark template and OB."""
    dark_template = MicadoImgCalDark()
    dark_template.dit = 10

    ob = ObservingBlock()
    ob.name = "MyDarkTest"
    ob.templates = [dark_template]

    ob.commit()
